Last Comment Bug 910728 - User Engagement Project initiation form that generates a bug by default
: User Engagement Project initiation form that generates a bug by default
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: All All
: -- enhancement (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 08:11 PDT by Carmen
Modified: 2013-09-19 06:45 PDT (History)
7 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Carmen 2013-08-29 08:11:35 PDT
Hello

Similar to bug 864504 

The User Engagement team would like to create a team kickoff form that generates a bug. 

Form fields and copy found here: https://docs.google.com/a/mozilla.com/document/d/1N_s4I5dp2Y9QedOteNpw8iQbGw9uMdTKtrb18rrOboU/edit

We would need some kind of Component for Bugzilla also added for "User Engagement"

That "User Engagement" component would by default be assigned to Carmen Collins (ccollins@mozilla.com) and cc'd to Winston Bowden (wbowden@mozilla.com) Michaela Thayer (mthayer@mozilla.com) Jean Collings (jcollings@mozilla.com) and Jessilyn Davis (jdavis@mozilla.com)

Let me know what other info you need. 

Note: I'll be on PTO until September 10 starting tomorrow.
Comment 1 Carmen 2013-08-29 08:22:35 PDT
Sorry, forgot to request due date of Sept. 25 for go live date. Let me know if that's not doable. 

Requested a header graphic in bug 910732
Comment 2 David Lawrence [:dkl] 2013-08-29 09:22:57 PDT
(In reply to Carmen from comment #0)
> That "User Engagement" component would by default be assigned to Carmen
> Collins (ccollins@mozilla.com) and cc'd to Winston Bowden
> (wbowden@mozilla.com) Michaela Thayer (mthayer@mozilla.com) Jean Collings
> (jcollings@mozilla.com) and Jessilyn Davis (jdavis@mozilla.com)

Cool. Please file this as a separate bug report and we can knock it out quick.

https://wiki.mozilla.org/BMO/Requesting_Changes#Components

Thanks
dkl
Comment 3 David Lawrence [:dkl] 2013-08-29 13:40:35 PDT
I have pushed a test form for your feedback at:

https://bugzilla-dev.allizom.org/form.user.engagement

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2-dev
modified .htaccess
added extensions/BMO/template/en/default/bug/create/comment-user-engagement.txt.tmpl
added extensions/BMO/template/en/default/bug/create/create-user-engagement.html.tmpl
Committed revision 8534

dkl
Comment 4 Carmen 2013-08-30 06:43:22 PDT
I can't seem to log into the dev site with my Persona ID to view the test form.
Comment 5 Carmen 2013-08-30 06:44:31 PDT
New header graphic found here https://bugzilla.mozilla.org/show_bug.cgi?id=910732
Comment 6 David Lawrence [:dkl] 2013-08-30 09:56:17 PDT
(In reply to Carmen from comment #4)
> I can't seem to log into the dev site with my Persona ID to view the test
> form.

Your account ccollins@mozilla.com does exist on the dev site so Persona should work as well as logging in normally using the Bugzilla login form. If you need me to reset the password, then ping me on IRC and I can help get you in.

dkl
Comment 7 David Lawrence [:dkl] 2013-08-30 10:35:51 PDT
(In reply to Carmen from comment #5)
> New header graphic found here
> https://bugzilla.mozilla.org/show_bug.cgi?id=910732

I have updated the web form with the new graphic.

https://bugzilla-dev.allizom.org/form.user.engagement

dkl
Comment 8 Carmen 2013-09-16 06:20:50 PDT
Hi David -

I'm still not able to view the dev site for some reason (it just hangs)

I'll try to ping you today to work it out.
Comment 9 Carmen 2013-09-16 08:57:48 PDT
Finally got it to work! Yay. 

Looks good to me. Next steps?
Comment 10 David Lawrence [:dkl] 2013-09-18 08:39:17 PDT
(In reply to Carmen from comment #9)
> Finally got it to work! Yay. 
> 
> Looks good to me. Next steps?

Committed and will show up in the next code push to production.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2
added extensions/BMO/template/en/default/bug/create/comment-user-engagement.txt.tmpl
added extensions/BMO/template/en/default/bug/create/create-user-engagement.html.tmpl
added extensions/BMO/web/images/user-engagement.png
Committed revision 9022.

dkl
Comment 11 Carmen 2013-09-18 09:07:30 PDT
Thanks David,

Do you know when the next code push might be?

After it goes live, which url would I use to find the form?
Comment 12 David Lawrence [:dkl] 2013-09-18 09:33:27 PDT
(In reply to Carmen from comment #11)
> Thanks David,
> 
> Do you know when the next code push might be?
> 
> After it goes live, which url would I use to find the form?

Maybe tonight/tomorrow, next week at the latest.

https://bugzilla.mozilla.org/form.user.engagement

dkl
Comment 13 David Lawrence [:dkl] 2013-09-18 10:03:02 PDT
(In reply to David Lawrence [:dkl] from comment #12)
> (In reply to Carmen from comment #11)
> > Thanks David,
> > 
> > Do you know when the next code push might be?
> > 
> > After it goes live, which url would I use to find the form?
> 
> Maybe tonight/tomorrow, next week at the latest.
> 
> https://bugzilla.mozilla.org/form.user.engagement
> 
> dkl

Just noticed (sorry) the go live date being the 25th. I can back it out until next weeks push if it is a problem. I don't think it would be as you would just not advertise the new address until the 25th and the form can just be on production undiscovered til then.

dkl
Comment 14 Carmen 2013-09-18 10:10:41 PDT
No, we can push now. I just didn't want to crush you with a ridiculous timeline.
Comment 15 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-09-18 23:36:38 PDT
https://bugzilla.mozilla.org/form.user.engagement is now live.
Comment 16 Carmen 2013-09-19 05:48:58 PDT
Hello team

Question - I tested the form, but I didn't get a bugmail. If it's assigned to me, shouldn't I get an email? (Otherwise, how would I know someone had entered a bug?)
Comment 17 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-09-19 06:45:33 PDT
(In reply to Carmen from comment #16)
> Question - I tested the form, but I didn't get a bugmail. If it's assigned
> to me, shouldn't I get an email? (Otherwise, how would I know someone had
> entered a bug?)

as this change has already been committed and is live, please create a new bug to track any issues instead of reopening a fixed bug.

bugzilla's default configuration is to not email you for actions which you perform, so you won't receive emails for bugs which you create.

Note You need to log in before you can comment on or make changes to this bug.